### Home Classes Methods

### In Files

- lib/highline/color_scheme.rb

### Parent

HighLine::ColorScheme

### Methods

- ::new

### Files

- CHANGELOG
- INSTALL
- LICENSE
- README.rdoc
- TODO

### Class/Module Index

Quicksearch

- HighLine
- HighLine::ColorScheme
- HighLine::HighLine
- HighLine::HighLine::HighLine
- HighLine::HighLine::HighLine::String
- HighLine::Menu
- HighLine::Question
- HighLine::Question::NoAutoCompleteMatch
- HighLine::QuestionError
- HighLine::SampleColorScheme
- HighLine::Simulate
- HighLine::StringExtensions
- HighLine::Style
- HighLine::SystemExtensions
- HighLine::SystemExtensions::WinAPI
- IO
- Kernel
- Object
- String
- StringIO

No matching classes.

# HighLine::SampleColorScheme

A sample ColorScheme.

### Public Class Methods

new( h = nil ) click to toggle source

Builds the sample scheme with settings for `:critical`, `:error`, `:warning`, `:notice`, `:info`, `:debug`, `:row_even`, and `:row_odd` colors.

    # File lib/highline/color_scheme.rb, line 120
    def initialize( h = nil )
      scheme = {
        :critical => [ :yellow, :on_red  ],
        :error    => [ :bold,   :red     ],
        :warning  => [ :bold,   :yellow  ],
        :notice   => [ :bold,   :magenta ],
        :info     => [ :bold,   :cyan    ],
        :debug    => [ :bold,   :green   ],
        :row_even => [ :cyan    ],
        :row_odd  => [ :magenta ]
      }
      super(scheme)
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.